schedule maint
curl --request PUT \
--url https://console.vast.ai/api/v0/machines/{machine_id}/dnotify \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"sdate": "2023-10-30T14:00:00Z",
"duration": 2,
"maintenance_reason": "Routine hardware check",
"maintenance_category": "software"
}
'import requests
url = "https://console.vast.ai/api/v0/machines/{machine_id}/dnotify"
payload = {
"sdate": "2023-10-30T14:00:00Z",
"duration": 2,
"maintenance_reason": "Routine hardware check",
"maintenance_category": "software"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
sdate: '2023-10-30T14:00:00Z',
duration: 2,
maintenance_reason: 'Routine hardware check',
maintenance_category: 'software'
})
};
fetch('https://console.vast.ai/api/v0/machines/{machine_id}/dnotify', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"you_sent": "2 notifications sent"
}{
"success": false,
"error": "<string>",
"msg": "<string>"
}{
"success": false,
"error": "<string>",
"msg": "<string>"
}{
"success": false,
"error": "<string>",
"msg": "<string>"
}{
"detail": "API requests too frequent endpoint threshold=2.5"
}Machines
schedule maint
Schedules a maintenance window for a specified machine and notifies clients.
CLI Usage: vastai schedule maint <machine_id> --sdate <sdate> --duration <duration>
PUT
/
api
/
v0
/
machines
/
{machine_id}
/
dnotify
schedule maint
Authorizations
API key must be provided in the Authorization header
Path Parameters
ID of the machine to schedule maintenance for.
Example:
12345
Body
application/json
Start date and time of the maintenance window.
Example:
"2023-10-30T14:00:00Z"
Duration of the maintenance window in hours.
Example:
2
Reason for the maintenance.
Example:
"Routine hardware check"
Category of the maintenance.
Available options:
power, internet, disk, gpu, software, other Example:
"software"
⌘I